summaryrefslogtreecommitdiffstats
path: root/source/kde/kdebindings
diff options
context:
space:
mode:
Diffstat (limited to 'source/kde/kdebindings')
-rw-r--r--source/kde/kdebindings/kdebindings.1170602.sip_4_11_x.diff66
-rwxr-xr-xsource/kde/kdebindings/kdebindings.SlackBuild7
-rw-r--r--source/kde/kdebindings/pykdeuic4.patch22
3 files changed, 95 insertions, 0 deletions
diff --git a/source/kde/kdebindings/kdebindings.1170602.sip_4_11_x.diff b/source/kde/kdebindings/kdebindings.1170602.sip_4_11_x.diff
new file mode 100644
index 000000000..b925f97c6
--- /dev/null
+++ b/source/kde/kdebindings/kdebindings.1170602.sip_4_11_x.diff
@@ -0,0 +1,66 @@
+Index: python/pykde4/sip/kdecore/typedefs.sip
+===================================================================
+--- python/pykde4/sip/kdecore/typedefs.sip (revision 1170601)
++++ python/pykde4/sip/kdecore/typedefs.sip (revision 1170602)
+@@ -733,61 +733,6 @@
+ };
+
+
+-%MappedType QList<uint>
+-{
+-%TypeHeaderCode
+-#include <qlist.h>
+-%End
+-
+-%ConvertFromTypeCode
+- // Create the list.
+- PyObject *l;
+-
+- if ((l = PyList_New(sipCpp->size())) == NULL)
+- return NULL;
+-
+- // Set the list elements.
+- for (int i = 0; i < sipCpp->size(); ++i) {
+- PyObject *pobj;
+-
+-#if PY_MAJOR_VERSION >= 3
+- if ((pobj = PyLong_FromLong(sipCpp->value(i))) == NULL) {
+-#else
+- if ((pobj = PyInt_FromLong(sipCpp->value(i))) == NULL) {
+-#endif
+- Py_DECREF(l);
+-
+- return NULL;
+- }
+-
+- PyList_SET_ITEM(l, i, pobj);
+- }
+-
+- return l;
+-%End
+-
+-%ConvertToTypeCode
+- // Check the type if that is all that is required.
+- if (sipIsErr == NULL)
+- return PyList_Check(sipPy);
+-
+- QList<uint> *ql = new QList<uint>;
+-
+- for (int i = 0; i < PyList_GET_SIZE(sipPy); ++i) {
+-#if PY_MAJOR_VERSION >= 3
+- ql->append(PyLong_AsLong(PyList_GET_ITEM(sipPy, i)));
+-#else
+- ql->append(PyInt_AsLong(PyList_GET_ITEM(sipPy, i)));
+-#endif
+- }
+-
+- *sipCppPtr = ql;
+-
+- return sipGetState(sipTransferObj);
+-%End
+-};
+-
+-
+ template <TYPE*>
+ %MappedType QStack<TYPE*>
+ {
diff --git a/source/kde/kdebindings/kdebindings.SlackBuild b/source/kde/kdebindings/kdebindings.SlackBuild
index 21df45de4..c07ab1ab3 100755
--- a/source/kde/kdebindings/kdebindings.SlackBuild
+++ b/source/kde/kdebindings/kdebindings.SlackBuild
@@ -50,6 +50,8 @@ cd kdebindings-$VERSION
zcat $CWD/kdebindings-len-ptr-rfloat.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/kdebindings-ruby-env.h.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/kdebindings-rubyconfig.h.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/kdebindings.1170602.sip_4_11_x.diff.gz | patch -p0 --verbose || exit 1
+( cd python/pykde4/tools/pykdeuic4 ; zcat $CWD/pykdeuic4.patch.gz | patch -p0 --verbose || exit 1 ) || exit 1
chown -R root:root .
find . \
@@ -58,6 +60,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Set 'vendorarch' (install location for vendor shipped
+# architecture dependent perl modules):
+eval $(perl '-V:vendorarch')
+
# -DENABLE_PYKDE4:BOOL=OFF \
mkdir -p build
cd build
@@ -69,6 +75,7 @@ cd build
-DCMAKE_BUILD_TYPE=Release \
-DCMAKE_INSTALL_PREFIX=/usr \
-DMAN_INSTALL_DIR=/usr/man \
+ -DCUSTOM_PERL_SITE_ARCH_DIR=$vendorarch \
-DSYSCONF_INSTALL_DIR=/etc/kde \
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
-DENABLE_QYOTO:BOOL=OFF \
diff --git a/source/kde/kdebindings/pykdeuic4.patch b/source/kde/kdebindings/pykdeuic4.patch
new file mode 100644
index 000000000..7cd779469
--- /dev/null
+++ b/source/kde/kdebindings/pykdeuic4.patch
@@ -0,0 +1,22 @@
+Index: pykdeuic4.py
+===================================================================
+--- pykdeuic4.py (revisione 1209658)
++++ pykdeuic4.py (copia locale)
+@@ -39,7 +39,7 @@
+ def __init__(self,string):
+ original_i18n_string.__init__(self,string)
+ def __str__(self):
+- return "kdecore.i18n(\"%s\")" % (qtproxies.escape(self.string),)
++ return "kdecore.i18n(\"%s\")" % (qtproxies.as_string(self.string),)
+ qtproxies.i18n_string = kde_i18n_string
+
+ def kdeFilter():
+@@ -71,7 +71,7 @@
+ indenter.indentwidth = indent
+ comp = compiler.UICompiler()
+ comp.factory._cwFilters.append(kdeFilter())
+- winfo = comp.compileUi(uifile, output)
++ winfo = comp.compileUi(uifile, output, "")
+
+ if exe:
+ output.write("""